#ifndef TOOLS_H__
#define TOOLS_H__

#include <stdint.h>
#include <stdbool.h>
#include "define.h"

#ifdef __cplusplus
extern "C" {
#endif
/**@brief button and led init function.
 *
 * @param[in]   No Param.
 */
float ntc_data(float vol);
uint8_t xor_data(uint8_t *data, int len);
uint32_t Get_Rand(void);
void rng_init(uint32_t seed);

#ifdef __cplusplus
}
#endif

#endif // TOOLS_H__

/** @} */
